%global dlrn_nvr ovsdbapp-0.17.6.dev9-2.20220326215416.2aabb9a
%global dlrn 1
%define upstream_version 0.17.6.dev9
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global library ovsdbapp
%global module ovsdbapp
%global with_doc 0

%global common_desc \
A library for writing Open vSwitch OVSDB-based applications.

%global common_desc_tests \
Python OVSDB Application Library tests. \
This package contains Python OVSDB Application Library test files.

Name:       python-%{library}
Version: 0.17.6
Release: 2.20220326215416.2aabb9a%{?dist}
Summary:    Python OVSDB Application Library
License:    ASL 2.0
URL:        http://launchpad.net/%{library}/

Source0: ovsdbapp-0.17.6.dev9-2.20220326215416.2aabb9a.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=2aabb9af0652e817d9ce274fdb20bc79537b7678
Patch0001: 0001-Add-indexed-column-support-to-ovsdbapp.patch
Patch0002: 0002-Handle-index-lookups-in-DbFindCommand.patch
Patch0003: 0003-Add-QoSDelExtIdCommand.patch
Patch0004: 0004-ovn-nb-Add-northbound-API-support-for-meters.patch
Patch0005: 0005-Update-QoS-register-in-QoSAddCommand-if-exists.patch

BuildArch:  noarch

BuildRequires:  git
BuildRequires:  openstack-macros

%package -n python%{pyver}-%{library}
Summary:    Python OVSDB Application Library
%{?python_provide:%python_provide python%{pyver}-%{library}}
Requires:   python%{pyver}-openvswitch
Requires:   python%{pyver}-pbr
Requires:   python%{pyver}-six
Requires:   python%{pyver}-netaddr >= 0.7.18

BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-pbr
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-mock
BuildRequires:  python%{pyver}-openvswitch
BuildRequires:  python%{pyver}-oslotest
BuildRequires:  python%{pyver}-stestr
BuildRequires:  python%{pyver}-netaddr >= 0.7.18
BuildRequires:  python%{pyver}-testrepository

%description -n python%{pyver}-%{library}
%{common_desc}


%package -n python%{pyver}-%{library}-tests
Summary:   Python OVSDB Application Library Tests
Requires:  python%{pyver}-%{library} = %{version}-%{release}
Requires:  python%{pyver}-fixtures
Requires:  python%{pyver}-mock
Requires:  python%{pyver}-oslotest
Requires:  python%{pyver}-testrepository

%description -n python%{pyver}-%{library}-tests
%{common_desc_tests}

%if 0%{?with_doc}
%package -n python-%{library}-doc
Summary:    Python OVSDB Application Library documentation

BuildRequires: python%{pyver}-sphinx
BuildRequires: python%{pyver}-openstackdocstheme

%description -n python-%{library}-doc
%{common_desc}

This package contains the documentation.
%endif

%description
%{common_desc}


%prep
%autosetup -n %{library}-%{upstream_version} -S git

# Let's handle dependencies ourselves
%py_req_cleanup

%build
%{pyver_build}

%if 0%{?with_doc}
# generate html docs
%{pyver_bin} setup.py build_sphinx
# remove the sphinx-build-%{pyver} leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

%install
%{pyver_install}

%check
PYTHON=%{pyver_bin} OS_TEST_PATH=./ovsdbapp/tests/unit stestr-%{pyver} run

%files -n python%{pyver}-%{library}
%doc README.rst
%license LICENSE
%{pyver_sitelib}/%{module}
%{pyver_sitelib}/%{module}-*.egg-info
%exclude %{pyver_sitelib}/%{module}/tests

%files -n python%{pyver}-%{library}-tests
%{pyver_sitelib}/%{module}/tests

%if 0%{?with_doc}
%files -n python-%{library}-doc
%doc doc/build/html
%license LICENSE
%endif

%changelog
* Sat Mar 26 2022 OSP Prod Chain <dev-null@redhat.com> 0.17.6-2.20220326215416.2aabb9a
- Update patches
- github no longer accepts git:// connections

* Sat Feb 19 2022 OSP Prod Chain <dev-null@redhat.com> 0.17.6-2.20220219144843.3bff3f4
- Update patches
- Log what exception caused abort of the transaction

* Wed Feb 16 2022 OSP Prod Chain <dev-null@redhat.com> 0.17.6-2.20220216144922.48b6a83
- Update patches
- tools: run functional tests against ovn/main branch
- Actually close the connection in Connection.stop()
- Don't spam retries 100s of times a second
- Do not try to execute transaction if command list is empty
- Add an active wait in the "Backend.lookup"
- More robustly handle venv ovs/ovn paths
- Dropping lower constraints testing (stable Train)

* Wed Feb 09 2022 OSP Prod Chain <dev-null@redhat.com> 0.17.5-2.20220209174856.11ca358
- Update QoS register in "QoSAddCommand" if exists (rhbz#2011206)

* Mon Jan 10 2022 OSP Prod Chain <dev-null@redhat.com> 0.17.5-2.20220111014910.11ca358
- Update patches

* Mon Jun 14 2021 CPaaS User <cpaas-ops@redhat.com> - 0.17.5-2.20210528083704.11ca358.1
- Bump release

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 0.17.5-2.20210528083704.11ca358
- Update patches

* Thu Feb 11 2021 Flavio Fernandes <flaviof@redhat.com> 0.17.5-2.20210210100211
- [ovn nb] Add northbound API support for meters (rhbz#1619266)

* Wed Feb 10 2021 OSP Prod Chain <dev-null@redhat.com> 0.17.5-1
- Add QoSDelExtIdCommand (rhbz#1859274)
- Handle index lookups in DbFindCommand
- Add indexed column support to ovsdbapp (rhbz#1895802)

* Thu Dec 17 2020 OSP Prod Chain <dev-null@redhat.com> 0.17.5-1
- Update patches

* Wed Nov 04 2020 OSP Prod Chain <dev-null@redhat.com> 0.17.5-1
- Update patches
- Don't give up when an Exception happens in idl.run
- Add lock when calling idl.run()
- Avoid race condition with RowEvent handling

* Tue Sep 01 2020 OSP Prod Chain <dev-null@redhat.com> 0.17.4-1
- Update patches
- OVNNB backend: Fix LbDelCommand when using vip param
- Fix pep8 job

* Mon Jul 20 2020 OSP Prod Chain <dev-null@redhat.com> 0.17.3-1
- Update patches

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 0.17.3-1
- Update patches

* Thu May 28 2020 OSP Prod Chain <dev-null@redhat.com> 0.17.3-1
- Update patches

* Thu May 28 2020 OSP Prod Chain <dev-null@redhat.com> 0.17.2-1
- Update patches
- Add "inactivity_probe" parameter to "enable_connection_uri"
- Fix spurious test failure
- Allow read-only Commands to bypass txns in execute()
- Accept a Row as a result in AddCommand
- Call row.verify() when updating map columns with db_set

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> 0.17.2-1
- Update patches

* Fri Feb 21 2020 OSP Prod Chain <dev-null@redhat.com> 0.17.2-1
- Update patches

* Wed Feb 19 2020 OSP Prod Chain <dev-null@redhat.com> 0.17.2-1
- Update patches
- Log invalid address values in lsp_set_addresses

* Mon Dec 16 2019 OSP Prod Chain <dev-null@redhat.com> 0.17.1-1
- Update patches
- Handle unset OVN_SRCDIR
- Update TOX/UPPER_CONSTRAINTS_FILE for stable/train
- Fix all of the train gate issues

* Mon Sep 23 2019 OSP Prod Chain <dev-null@redhat.com> 0.17.0-1
- Update patches

* Fri Sep 20 2019 RDO <dev@lists.rdoproject.org> 0.17.0-1
- Update to 0.17.0


